Parse prospect-search criteria
Parse prospect-search criteria. See the request and response schemas for the complete public API contract. This operation can change workspace data or trigger an external side effect; review the request before sending it and do not retry blindly after a timeout.
POST
/
api
/
v1
/
public
/
lead-lists
/
{list_id}
/
prospect-search
/
parse-criteria
cURL
curl -X POST 'https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria' -H "X-API-Key: $SENDORA_API_KEY" -H "Content-Type: application/json" \
-d '{"description":"example"}'import requests
url = 'https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria'
headers = {'X-API-Key': '$SENDORA_API_KEY'}
response = requests.post(url, headers=headers, json={'description': 'example'})
response.raise_for_status()
print(response.json())const response = await fetch("https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria", {
method: "POST",
headers: { 'X-API-Key': process.env.SENDORA_API_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"description": "example"}),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());req, err := http.NewRequest("POST", "https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria", bytes.NewBufferString(`{"description": "example"}`))
if err != nil { log.Fatal(err) }
req.Header.Set("X-API-Key", os.Getenv("SENDORA_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close(){
"filters": {
"analytics_tech": [
"<string>"
],
"city": "",
"company_name": "",
"company_name_mode": "",
"country": [
"<string>"
],
"crm_tech": [
"<string>"
],
"development_tech": [
"<string>"
],
"domain": "",
"employee_count_max": 1,
"employee_count_min": 1,
"erp_tech": [
"<string>"
],
"founded_on": 1950,
"funded_after": "",
"funding_amount_min": 1,
"funding_types": [
"<string>"
],
"has_cio": true,
"has_ciso": true,
"has_mobile_app": true,
"has_web_app": true,
"headquarters_city": "",
"headquarters_country": [
"<string>"
],
"headquarters_state": "",
"hiring_departments": [
"<string>"
],
"industry": "",
"is_linkedin_url_claimed": true,
"job_function": [
"<string>"
],
"job_level": [
"<string>"
],
"job_title": [
"<string>"
],
"linkedin_industry": [
"<string>"
],
"marketing_automation_tech": [
"<string>"
],
"min_linkedin_growth_rate": 123,
"min_monthly_web_traffic": 1,
"revenue_buckets": [
"<string>"
],
"revenue_max": 1,
"revenue_min": 1,
"sales_automation_tech": [
"<string>"
],
"state": [
"<string>"
],
"team_size_departments": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Customer API key created in the Sendora dashboard.
Path Parameters
The lead list's id: the id from List lead lists. It is also the last part of that page's address in the app.
Body
application/json
Description returned by the Sendora API.
Required string length:
3 - 500Response
Successful Response
Filters returned by the Sendora API.
Show child attributes
Show child attributes
⌘I
cURL
curl -X POST 'https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria' -H "X-API-Key: $SENDORA_API_KEY" -H "Content-Type: application/json" \
-d '{"description":"example"}'import requests
url = 'https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria'
headers = {'X-API-Key': '$SENDORA_API_KEY'}
response = requests.post(url, headers=headers, json={'description': 'example'})
response.raise_for_status()
print(response.json())const response = await fetch("https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria", {
method: "POST",
headers: { 'X-API-Key': process.env.SENDORA_API_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"description": "example"}),
});
if (!response.ok) throw new Error(await response.text());
console.log(await response.json());req, err := http.NewRequest("POST", "https://api.sendora.ai/api/v1/public/lead-lists/YOUR_ID/prospect-search/parse-criteria", bytes.NewBufferString(`{"description": "example"}`))
if err != nil { log.Fatal(err) }
req.Header.Set("X-API-Key", os.Getenv("SENDORA_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { log.Fatal(err) }
defer resp.Body.Close(){
"filters": {
"analytics_tech": [
"<string>"
],
"city": "",
"company_name": "",
"company_name_mode": "",
"country": [
"<string>"
],
"crm_tech": [
"<string>"
],
"development_tech": [
"<string>"
],
"domain": "",
"employee_count_max": 1,
"employee_count_min": 1,
"erp_tech": [
"<string>"
],
"founded_on": 1950,
"funded_after": "",
"funding_amount_min": 1,
"funding_types": [
"<string>"
],
"has_cio": true,
"has_ciso": true,
"has_mobile_app": true,
"has_web_app": true,
"headquarters_city": "",
"headquarters_country": [
"<string>"
],
"headquarters_state": "",
"hiring_departments": [
"<string>"
],
"industry": "",
"is_linkedin_url_claimed": true,
"job_function": [
"<string>"
],
"job_level": [
"<string>"
],
"job_title": [
"<string>"
],
"linkedin_industry": [
"<string>"
],
"marketing_automation_tech": [
"<string>"
],
"min_linkedin_growth_rate": 123,
"min_monthly_web_traffic": 1,
"revenue_buckets": [
"<string>"
],
"revenue_max": 1,
"revenue_min": 1,
"sales_automation_tech": [
"<string>"
],
"state": [
"<string>"
],
"team_size_departments": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}